
particledistortbeam
{
	program
	{
		varying float tcoord;
		varying vec4 scoord;
#ifdef VERTEX_SHADER
		void main(void)
		{
			scoord = ftransform();

			gl_Position = scoord;

			tcoord = (gl_MultiTexCoord0.t - 0.5)*2.0;
			gl_FrontColor = gl_Color;

		}
#endif
#ifdef FRAGMENT_SHADER
		uniform sampler2D baset;
		uniform float time;

		void main(void)
		{
			vec2 nst;
			float f;

			nst = scoord.xy / scoord.w;
			nst = (1.0 + nst)/2.0;

			f = 1 - tcoord*tcoord;
			if (f < 0) discard;
			f *= gl_Color.a;

			gl_FragColor = texture2D(baset, nst - tcoord*f);
		}
#endif
	}
	param texture 0 baset

	{
		map $currentrender
		rgbgen vertex
		alphagen vertex
		blendfunc blend
	}
}
